﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:4.0.30319.42000
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports System

Namespace My.Resources
    
    'This class was auto-generated by the StronglyTypedResourceBuilder
    'class via a tool like ResGen or Visual Studio.
    'To add or remove a member, edit your .ResX file then rerun ResGen
    'with the /str option, or rebuild your VS project.
    '''<summary>
    '''  A strongly-typed resource class, for looking up localized strings, etc.
    '''</summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0"),  _
     Global.System.Diagnostics.DebuggerNonUserCodeAttribute(),  _
     Global.System.Runtime.CompilerServices.CompilerGeneratedAttribute()>  _
    Friend Class JSONKeys
        
        Private Shared resourceMan As Global.System.Resources.ResourceManager
        
        Private Shared resourceCulture As Global.System.Globalization.CultureInfo
        
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")>  _
        Friend Sub New()
            MyBase.New
        End Sub
        
        '''<summary>
        '''  Returns the cached ResourceManager instance used by this class.
        '''</summary>
        <Global.System.ComponentModel.EditorBrowsableAttribute(Global.System.ComponentModel.EditorBrowsableState.Advanced)>  _
        Friend Shared ReadOnly Property ResourceManager() As Global.System.Resources.ResourceManager
            Get
                If Object.ReferenceEquals(resourceMan, Nothing) Then
                    Dim temp As Global.System.Resources.ResourceManager = New Global.System.Resources.ResourceManager("VECTO_Engine.JSONKeys", GetType(JSONKeys).Assembly)
                    resourceMan = temp
                End If
                Return resourceMan
            End Get
        End Property
        
        '''<summary>
        '''  Overrides the current thread's CurrentUICulture property for all
        '''  resource lookups using this strongly typed resource class.
        '''</summary>
        <Global.System.ComponentModel.EditorBrowsableAttribute(Global.System.ComponentModel.EditorBrowsableState.Advanced)>  _
        Friend Shared Property Culture() As Global.System.Globalization.CultureInfo
            Get
                Return resourceCulture
            End Get
            Set
                resourceCulture = value
            End Set
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Engine.
        '''</summary>
        Friend Shared ReadOnly Property Engine() As String
            Get
                Return ResourceManager.GetString("Engine", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to CertificationNumber.
        '''</summary>
        Friend Shared ReadOnly Property Engine_CertificationNumber() As String
            Get
                Return ResourceManager.GetString("Engine_CertificationNumber", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Displacement.
        '''</summary>
        Friend Shared ReadOnly Property Engine_Displacement() As String
            Get
                Return ResourceManager.GetString("Engine_Displacement", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to DualFuel.
        '''</summary>
        Friend Shared ReadOnly Property Engine_DualFuel() As String
            Get
                Return ResourceManager.GetString("Engine_DualFuel", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to FullLoadCurve.
        '''</summary>
        Friend Shared ReadOnly Property Engine_FLC() As String
            Get
                Return ResourceManager.GetString("Engine_FLC", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to IdlingSpeed.
        '''</summary>
        Friend Shared ReadOnly Property Engine_IdlingSpeed() As String
            Get
                Return ResourceManager.GetString("Engine_IdlingSpeed", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Manufacturer.
        '''</summary>
        Friend Shared ReadOnly Property Engine_Manufacturer() As String
            Get
                Return ResourceManager.GetString("Engine_Manufacturer", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Model.
        '''</summary>
        Friend Shared ReadOnly Property Engine_Model() As String
            Get
                Return ResourceManager.GetString("Engine_Model", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to MotoringCurve.
        '''</summary>
        Friend Shared ReadOnly Property Engine_MotoringCurve() As String
            Get
                Return ResourceManager.GetString("Engine_MotoringCurve", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ParentFullConsumption.
        '''</summary>
        Friend Shared ReadOnly Property Engine_ParentFCMap() As String
            Get
                Return ResourceManager.GetString("Engine_ParentFCMap", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ParentFullLoadCurve.
        '''</summary>
        Friend Shared ReadOnly Property Engine_ParentFLC() As String
            Get
                Return ResourceManager.GetString("Engine_ParentFLC", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ParentIdlingSpeed.
        '''</summary>
        Friend Shared ReadOnly Property Engine_ParentIdlingSpeed() As String
            Get
                Return ResourceManager.GetString("Engine_ParentIdlingSpeed", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to RatedPower.
        '''</summary>
        Friend Shared ReadOnly Property Engine_RatedPower() As String
            Get
                Return ResourceManager.GetString("Engine_RatedPower", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to RatedSpeed.
        '''</summary>
        Friend Shared ReadOnly Property Engine_RatedSpeed() As String
            Get
                Return ResourceManager.GetString("Engine_RatedSpeed", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHR Electrical.
        '''</summary>
        Friend Shared ReadOnly Property Engine_WHR_Electrical() As String
            Get
                Return ResourceManager.GetString("Engine_WHR_Electrical", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHR ICE.
        '''</summary>
        Friend Shared ReadOnly Property Engine_WHR_ICE() As String
            Get
                Return ResourceManager.GetString("Engine_WHR_ICE", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHR Mechanical.
        '''</summary>
        Friend Shared ReadOnly Property Engine_WHR_Mechanical() As String
            Get
                Return ResourceManager.GetString("Engine_WHR_Mechanical", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to CFRegPer.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_CFRegPer() As String
            Get
                Return ResourceManager.GetString("Fuel_CFRegPer", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ColdStartTotal.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_ColdStartTotal() As String
            Get
                Return ResourceManager.GetString("Fuel_ColdStartTotal", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to FuelType.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_FuelType() As String
            Get
                Return ResourceManager.GetString("Fuel_FuelType", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to HotStartTotal.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_HotStartTotal() As String
            Get
                Return ResourceManager.GetString("Fuel_HotStartTotal", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to NCV.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_NCV() As String
            Get
                Return ResourceManager.GetString("Fuel_NCV", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCMotorway.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_WHTCMotorway() As String
            Get
                Return ResourceManager.GetString("Fuel_WHTCMotorway", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCRural.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_WHTCRural() As String
            Get
                Return ResourceManager.GetString("Fuel_WHTCRural", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCUrban.
        '''</summary>
        Friend Shared ReadOnly Property Fuel_WHTCUrban() As String
            Get
                Return ResourceManager.GetString("Fuel_WHTCUrban", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to Fuels.
        '''</summary>
        Friend Shared ReadOnly Property Fuels() As String
            Get
                Return ResourceManager.GetString("Fuels", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to CFRegPer.
        '''</summary>
        Friend Shared ReadOnly Property WHR_CFRegPer() As String
            Get
                Return ResourceManager.GetString("WHR_CFRegPer", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to ColdStartTotal.
        '''</summary>
        Friend Shared ReadOnly Property WHR_ColdStartTotal() As String
            Get
                Return ResourceManager.GetString("WHR_ColdStartTotal", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to electrical.
        '''</summary>
        Friend Shared ReadOnly Property WHR_Electrical() As String
            Get
                Return ResourceManager.GetString("WHR_Electrical", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to HotStartTotal.
        '''</summary>
        Friend Shared ReadOnly Property WHR_HotStartTotal() As String
            Get
                Return ResourceManager.GetString("WHR_HotStartTotal", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to mechanical.
        '''</summary>
        Friend Shared ReadOnly Property WHR_Mechanical() As String
            Get
                Return ResourceManager.GetString("WHR_Mechanical", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCMotorway.
        '''</summary>
        Friend Shared ReadOnly Property WHR_WHTC_Motorway() As String
            Get
                Return ResourceManager.GetString("WHR_WHTC_Motorway", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCRural.
        '''</summary>
        Friend Shared ReadOnly Property WHR_WHTCRural() As String
            Get
                Return ResourceManager.GetString("WHR_WHTCRural", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHTCUrban.
        '''</summary>
        Friend Shared ReadOnly Property WHR_WHTCUrban() As String
            Get
                Return ResourceManager.GetString("WHR_WHTCUrban", resourceCulture)
            End Get
        End Property
        
        '''<summary>
        '''  Looks up a localized string similar to WHR.
        '''</summary>
        Friend Shared ReadOnly Property WHRSystem() As String
            Get
                Return ResourceManager.GetString("WHRSystem", resourceCulture)
            End Get
        End Property
    End Class
End Namespace
